Skip to main content
`Ctrl`+`K`

# rocrand_discrete_distribution_st Struct Reference

API library: rocrand_discrete_distribution_st Struct Reference
Public Attributes | List of all members
rocrand_discrete_distribution_st Struct Reference

Represents a discrete probability distribution. More...

`#include <rocrand_discrete_types.h>`

## Public Attributes

unsigned int | size
| Number of entries in the probability table.
unsigned int | offset
| The distribution can be offset.
unsigned int * | alias
| Alias table.
double * | probability
| Probability data for the alias table.
double * | cdf
| Cumulative distribution function.

## Detailed Description

Represents a discrete probability distribution.

The documentation for this struct was generated from the following file:

- /build/rocrand-7S8maf/rocrand-7.1.1/library/include/rocrand/rocrand_discrete_types.h